AMDCCP(4) | Device Drivers Manual | AMDCCP(4)

# NAME

`amdccp` —
AMD Cryptographic Coprocessor device driver

# SYNOPSIS

`amdccp* at pci?`

# DESCRIPTION

The `amdccp` driver provides support for cryptographic coprocessors found on certain AMD CPUs. The coprocessor supports hardware offloading for common cryptographic algorithms and a True Random Number Generator (TRNG).

Currently, this driver only supports providing additional entropy to the kernel's random number generator.

# SEE ALSO

pci(4), rnd(4), entropy(7), rnd(9)

# HISTORY

The `amdccp` device driver appeared in NetBSD 9.0.

July 25, 2021 | NetBSD 10.1